import React, {useEffect, useState } from 'react'
import './Home.css'
import axios from 'axios';


const Home = () => {
    const [data, setData] = useState({
      celsius: 10,
      name: "Thrissur",
      humidity: 10,
      speed: 2,
      image: '/images/cloudy.png'
    });
  
    const [name, setName] = useState('');
    const [error, setError] = useState('');
  
    const handleClick = () => {
      if (name !== "") {
        const apiUrl=`https://api.openweathermap.org/data/2.5/weather?q=${name}&appid=deb64cc33b632831806ee8f442849c4f&&units=metric`;
        axios.get(apiUrl)
          .then((result) => {
            console.log(result.data);
  
              let imagePath = '';
              
              if (result.data.weather[0].main == "clouds") {
                imagePath = "/images/cloudy.png";              
              } else if (result.data.weather[0].main == "Clear") {
                imagePath = "/images/clear.png";           
              } else if (result.data.weather[0].main == "Rain") {
                imagePath = "/images/rain.png";
              }else if (result.data.weather[0].main == "Drizzle") {
                imagePath = "/images/drizzle.png";
              } else if (result.data.weather[0].main == "Mist") {
                imagePath = "/images/mist.png";
              }else {
                imagePath = "/images/cloudy.png";
              }
  
            setData({
              ...data,
              celsius: result.data.main.temp,
              name: result.data.name,
              humidity: result.data.main.humidity,
              speed: result.data.wind.speed,
              image: imagePath
            })
            setError('');
            console.log(result.data);
          })
          .catch((err) => {
            if (err.response.status == 404) {
              setError("Invalid City Name");            
            } else {
              setError('');
            }
            console.log(err);
          });
      }
    }
   
  return (
    <div className='container'>   
        <div className='weather'>
            <div className='search'>
                <input type="text" placeholder='enter city name' onChange={(e) => setName(e.target.value)}></input>
                <button><img src="/images/search.png" onClick={handleClick} alt=""></img></button> 
            </div>
            <div className="error">
          <p>{error}</p>
        </div>
            <div className='windinfo'>
                <img src="/images/clouds.png" alt=""></img>
                <h1>{Math.round(data.celsius)}°C</h1>
               <h2>{data.name}</h2>
               <div className='deatils'>
                <div className='col'>
                <img src="/images/humidity.png" alt=""></img>
                <div className='humidity'>
                    <p>{Math.round(data.humidity)}%</p>
                    <p>Humidity</p>
                </div>
                </div>
                <div className='col'></div>
                <img src="/images/wind.png" alt="" ></img>
                <div className='wind'>
                    <p>{Math.round(data.speed)} km/h</p>
                    <p>Wind</p>
                </div>
               </div>
            </div>
        </div>
      
    </div>
  )
}

export default Home
